Last Comment Bug 711269 - Intermittent OS X 10.7 REFTEST TEST-UNEXPECTED-FAIL | image/test/reftest/bmp/bmp-24bpp/bmp-size-7x7-24bpp.bmp | image comparison (==), followed by other failures and crashes
: Intermittent OS X 10.7 REFTEST TEST-UNEXPECTED-FAIL | image/test/reftest/bmp/...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: 11 Branch
: x86_64 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 438871 705047 715308
  Show dependency treegraph
 
Reported: 2011-12-15 15:49 PST by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Matt Brubeck (:mbrubeck) 2011-12-15 15:49:11 PST
In the first three failures, there's one stray pixel way out in the middle of the white background that is #bfffff instead of white.  In the fourth one, it's white instead of #bfffff.

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/bmp/bmp-24bpp/bmp-size-7x7-24bpp.bmp | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-32x32-1bpp.ico | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-15x15.jpg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-17x17.jpg | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1-ref.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2-ref.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)

REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-32x32-1bpp.png | 306 / 7211 (4%)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-32x32-1bpp.ico | image comparison (==)
REFTEST number of differing pixels: 1
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-32x32-1bpp.ico
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-1bpp/ico-size-32x32-1bpp.png
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page

REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-15x15.png | 424 / 7211 (5%)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-15x15.jpg | image comparison (==)
REFTEST number of differing pixels: 1
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-15x15.jpg
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/jpeg/jpg-size-15x15.png
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page

REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1.html | 5155 / 7211 (71%)
XPCOM_MEM_BLOAT_LOG: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks.log
Writing to log: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks_plugin_pid538.log
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST INFO | Found unexpected crash dump file/var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/FB6D29DF-27F1-420C-8ABF-5D5D7696C84C.dmp.
REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1-ref.html | 5155 / 7211 (71%)
XPCOM_MEM_BLOAT_LOG: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks.log
Writing to log: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks_plugin_pid578.log
REFTEST TEST-KNOWN-FAIL(EXPECTED RANDOM) | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1-ref.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST INFO | Found unexpected crash dump file/var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/13603116-4C91-425D-B12C-FA918860812A.dmp.
REFTEST INFO | Loading a blank page
REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2.html | 5156 / 7211 (71%)
XPCOM_MEM_BLOAT_LOG: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks.log
Writing to log: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks_plugin_pid579.log
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST INFO | Found unexpected crash dump file/var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/112F2898-E6D5-43AE-9844-677DBDA21FDD.dmp.
REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2-ref.html | 5156 / 7211 (71%)
XPCOM_MEM_BLOAT_LOG: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks.log
Writing to log: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/runreftest_leaks_plugin_pid580.log
REFTEST TEST-PASS(EXPECTED RANDOM) | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2-ref.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST INFO | Found unexpected crash dump file/var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/DBF04646-2917-49B1-81D3-D9D0F044C38F.dmp.
REFTEST INFO | Loading a blank page

REFTEST TEST-START | Shutdown
NOTE: child process received `Goodbye', closing down
INFO | automation.py | Application ran for: 0:14:44.064730
INFO | automation.py | Reading PID log: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpgiEbeEpidlog
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Crash dump filename: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/112F2898-E6D5-43AE-9844-677DBDA21FDD.dmp
Operating system: Mac OS X
                  10.7.2 11C74
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

No crash

Thread 0
 0  0x103f8fa50
    rbx = 0x5fbfc460   r12 = 0x00000000   r13 = 0x0604e8a0   r14 = 0x5fbfc838
    r15 = 0x5fbfc460   rip = 0x03f8fa50   rsp = 0x5fbfc3e0   rbp = 0x065e0790
    Found by: given as instruction pointer in context

Thread 1
 0  0x7fff9302f7e6
    rbx = 0x7b0f91e0   r12 = 0x7b0f8540   r13 = 0x00000000   r14 = 0x7b0f9270
    r15 = 0x03e80668   rip = 0x9302f7e6   rsp = 0x03e80528   rbp = 0x03e806a0
    Found by: given as instruction pointer in context

Thread 2
 0  0x7fff9302f192
    rbx = 0x03c21180   r12 = 0x00003203   r13 = 0x00000000   r14 = 0x03bba720
    r15 = 0x03f04000   rip = 0x9302f192   rsp = 0x03f03f28   rbp = 0x03f03f50
    Found by: given as instruction pointer in context

Thread 3
 0  0x7fff9302f7e6
    rbx = 0x03c65c00   r12 = 0x04ed7d40   r13 = 0x00000002   r14 = 0x00000000
    r15 = 0x04ed7c30   rip = 0x9302f7e6   rsp = 0x04ed7b98   rbp = 0x03c24000
    Found by: given as instruction pointer in context

Thread 4
 0  0x7fff9302f192
    rbx = 0x03c21180   r12 = 0x00003a07   r13 = 0x00000000   r14 = 0x03bba660
    r15 = 0x03f87000   rip = 0x9302f192   rsp = 0x03f86f28   rbp = 0x03f86f50
    Found by: given as instruction pointer in context

Saved dump as /Users/cltbld/talos-slave/test/minidumps/112F2898-E6D5-43AE-9844-677DBDA21FDD.dmp
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Crash dump filename: /var/folders/qd/srwd5f710sj0fcl9z464lkj00000gn/T/tmpFmnHVj/minidumps/13603116-4C91-425D-B12C-FA918860812A.dmp
Operating system: Mac OS X
                  10.7.2 11C74
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

No crash
Comment 1 Matt Brubeck (:mbrubeck) 2012-01-27 08:36:54 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8880461&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test reftest on 2012-01-27 07:09:53 PST for push afb95cbc720f

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/bmp/bmp-corrupted/wrapper.html?invalid-compression.bmp | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/image/test/reftest/ico/ico-bmp-corrupted/wrapper.html?invalid-compression-RLE4.ico | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-1-ref.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2.html | This test left crash dumps behind, but we weren't expecting it to!
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/dom/plugins/test/reftest/pluginproblemui-direction-2-ref.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Comment 2 Matt Brubeck (:mbrubeck) 2012-01-27 16:43:06 PST
comment 1 is actually bug 721917.
Comment 3 Justin Lebar (not reading bugmail) 2012-01-30 13:50:18 PST
I did 200 runs of an opt build with image/test/reftest/reftest.list on my 10.7 mac.  I wasn't able to reproduce this failure or bug 721917.

I suspect the problem is bug 715308, but it's hard to say without being able to reproduce.  I'm going to push to try and enqueue a bazillion test runs.
Comment 5 Justin Lebar (not reading bugmail) 2012-02-01 11:17:10 PST
We're going to back out bug 715308, which should resolve this.
Comment 6 Justin Lebar (not reading bugmail) 2012-02-04 09:56:33 PST
This should be fixed now that we've backed out bug 715308 on m-c and Aurora:

https://hg.mozilla.org/mozilla-central/rev/350ba395c507
https://hg.mozilla.org/releases/mozilla-aurora/rev/63278b4cbe87

Note You need to log in before you can comment on or make changes to this bug.